Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Class ElementChangedEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.jdt.core.ElementChangedEvent

All Implemented Interfaces:
  Serializable

public class ElementChangedEvent
extends EventObject

An element changed event describes a change to the structure or contents of a tree of Java elements. The changes to the elements are described by the associated delta object carried by this event.

This class is not intended to be instantiated or subclassed by clients. Instances of this class are automatically created by the Java model.

See Also:
  `IElementChangedListener`, `IJavaElementDelta`, Serialized Form

Field Summary
`static int` | `POST_CHANGE` Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more Java element(s) expressed as a hierarchical java element delta as returned by `getDelta()`.
`static int` | `POST_RECONCILE` Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more Java element(s) expressed as a hierarchical java element delta as returned by `getDelta`.
`static int` | `PRE_AUTO_BUILD` Deprecated. - no longer used, such deltas are now notified during POST_CHANGE

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ElementChangedEvent(IJavaElementDelta delta, int type)` Creates an new element changed event (based on a `IJavaElementDelta`).

Method Summary
`IJavaElementDelta` | `getDelta()` Returns the delta describing the change.
`int` | `getType()` Returns the type of event being reported.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### POST_CHANGE

    public static final int POST_CHANGE

  Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more Java element(s) expressed as a hierarchical java element delta as returned by `getDelta()`. Note: this notification occurs during the corresponding POST_CHANGE resource change notification, and contains a full delta accounting for any JavaModel operation and/or resource change.

  Since:
    2.0
  See Also:
    `IJavaElementDelta`, `IResourceChangeEvent`, `getDelta()`, Constant Field Values

### PRE_AUTO_BUILD

    public static final int PRE_AUTO_BUILD

  Deprecated. - no longer used, such deltas are now notified during POST_CHANGE

  Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more Java element(s) expressed as a hierarchical java element delta as returned by `getDelta`. Note: this notification occurs during the corresponding PRE_AUTO_BUILD resource change notification. The delta, which is notified here, only contains information relative to the previous JavaModel operations (in other words, it ignores the possible resources which have changed outside Java operations). In particular, it is possible that the JavaModel be inconsistent with respect to resources, which got modified outside JavaModel operations (it will only be fully consistent once the POST_CHANGE notification has occurred).

  Since:
    2.0
  See Also:
    `IJavaElementDelta`, `IResourceChangeEvent`, `getDelta()`, Constant Field Values

### POST_RECONCILE

    public static final int POST_RECONCILE

  Event type constant (bit mask) indicating an after-the-fact report of creations, deletions, and modifications to one or more Java element(s) expressed as a hierarchical java element delta as returned by `getDelta`. Note: this notification occurs as a result of a working copy reconcile operation.

  Since:
    2.0
  See Also:
    `IJavaElementDelta`, `IResourceChangeEvent`, `getDelta()`, Constant Field Values

Constructor Detail

### ElementChangedEvent

    public ElementChangedEvent(IJavaElementDelta delta,
                               int type)

  Creates an new element changed event (based on a `IJavaElementDelta`).

Parameters:
  `delta` - the Java element delta.
  `type` - the type of delta (ADDED, REMOVED, CHANGED) this event contains

Method Detail

### getDelta

    public IJavaElementDelta getDelta()

  Returns the delta describing the change.

  Returns:
    the delta describing the change

### getType

    public int getType()

  Returns the type of event being reported.

  Returns:
    one of the event type constants
  Since:
    2.0
  See Also:
    `POST_CHANGE`, `PRE_AUTO_BUILD`, `POST_RECONCILE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.